/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AbsEnvironment.java 122 2006-03-05 19:54:41Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.objectweb.easybeans.deployment.xml.struct.common;

import java.util.ArrayList;
import java.util.List;

/**
 * This class defines an implementation for an environment element.
 * @author Florent Benoit
 */
public class AbsEnvironment {

    /**
     * List of &lt;env-entry&gt; elements.
     */
    private List<EnvEntry> envEntryList = null;

    /**
     * Constructor : build a new object for environment.
     */
    public AbsEnvironment() {
        envEntryList = new ArrayList<EnvEntry>();
    }

    /**
     * Add a new env-entry element to this object.
     * @param envEntry the ejb-ref object
     */
    public void addEnvEntry(final EnvEntry envEntry) {
        envEntryList.add(envEntry);
    }

    /**
     * @return the list of all env-entry elements
     */
    public List<EnvEntry> getEnvEntryList() {
        return envEntryList;
    }

}
