/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EBaseInterceptorAccessSessionContext00.java 220 2006-03-17 15:06:44Z studzine $
 * --------------------------------------------------------------------------
 */
package org.objectweb.easybeans.tests.common.ejbs.base;

import javax.ejb.Interceptors;

import org.objectweb.easybeans.tests.common.interceptors.business.SessionContextAccess01Interceptor;


/**
 * Used to test the interceptors access to the getTimerService() of a SessionContext instance.
 * @author Eduardo Studzinski Estima de Castro
 * @author Gisele Pinheiro Souza
 *
 */
public class EBaseInterceptorAccessSessionContext00 implements ItfAccessSessionContext{

    /**
     * This has an interceptor that calls "getTimerService()".
     * @param obj it's not used.
     * @return null
     * @throws Exception if a problem occurs.
     */
    @Interceptors({SessionContextAccess01Interceptor.class})
    public Object accessSessionContext(final Object obj) throws Exception {
        return null;
    }

}
