/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: SLSBInvocationTest03.java 169 2006-03-10 14:11:37Z studzine $
 * --------------------------------------------------------------------------
 */
package org.objectweb.easybeans.tests.common.ejbs.stateless.containermanaged;

import javax.ejb.Interceptors;
import javax.ejb.Local;
import javax.ejb.Remote;
import javax.ejb.Stateless;

import org.objectweb.easybeans.tests.common.ejbs.base.ItfOneMethod00;
import org.objectweb.easybeans.tests.common.interceptors.lifecycle.PostConstructor00Interceptor;
import org.objectweb.easybeans.tests.common.interceptors.lifecycle.PostConstructor01Interceptor;


/**
 * This class is used to test if the proceed() return null when the method is null.
 * @author Eduardo Studzinski E. de Castro
 * @author Gisele Pinheiro Souza
 */
@Stateless
@Remote(ItfOneMethod00.class)
@Local(ItfOneMethod00.class)
@Interceptors({PostConstructor00Interceptor.class, PostConstructor01Interceptor.class})
public class SLSBInvocationTest03 implements ItfOneMethod00{

    /**
     * Returns null.
     * @param i not used
     * @throws Exception if invocation fails
     * @return null
     */
    public Object doOne(final Integer i) throws Exception {
        return null;
    }
}
