/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: TimerServiceTester.java 231 2006-03-20 10:27:02Z studzine $
 * --------------------------------------------------------------------------
 */
package org.objectweb.easybeans.tests.common.resources;

import javax.annotation.Resource;
import javax.ejb.Timer;
import javax.ejb.TimerService;


/**
 * TimerService Tester.
 * @author Eduardo Studzinski Estima de Castro
 * @author Gisele Pinheiro Souza
 *
 */
public class TimerServiceTester {

    /**
     * Timer Interval Duration.
     */
    public static final int TIMER_DURATION = 500000;
    /**
     * Timer Service.
     */
    @Resource
    private TimerService tServ;

    /**
     * Default Constructor.
     */
    public TimerServiceTester(){
    }

    /**
     * Tests a timerService access.
     * @throws Exception if a problem occurs.
     */
    protected void access00() throws Exception{
        //Creates a timer
        Timer t = tServ.createTimer(TIMER_DURATION, "Timer Created");
        //Verifies a timer method
        t.getTimeRemaining();

        //Verifies if the new timer was added to the timers list
        if(tServ.getTimers().size() < 1){
            throw new IllegalStateException("The Timers Collection must have at least one timer. It was created in this method.");
        }
        //Cancels the timer
        t.cancel();
    }
}
